Subject: [Sip] UAC behaviour

From: [email-masked]
Date: Tue, 19 Apr 2005 21:26:20 -0400

Hi,

I want to know what should be the behaviour of UAC after receiving 180 
response when dialog is already in confirmed state.
I think it should process it, is this behaviour mentioned anywhere in RFC?

This scenario can occur in prepaid calling card application where user A 
first calls B, and after finsihing talking, he calls another user C on the 
same call.
To connect user C, we can send Re-invite to user A agent resulting in call 
connected between A and C as per thirdparty call control.

But before the call is answered by user C, if 180 Ringing is send to user 
agent A, it should play ringback as user need to hear the ringback to know 
the status of the second call.

-Udit
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Shekar, Nagesh Soma (Shekar)** CTR **" <[email-masked]>
Date: Wed, 20 Apr 2005 09:53:38 -0400

Udit,
 
It is valid for the ReInvite transaction to contain a provisional response.Of course for
the 180 Ringing to be valid, it has to be part of the Reinvite transaction, i.e. the CSeq No
should be valid, etc,..
 
The 180 Ringing generation is mentioned in section 14.2 of RFC 3261. It says that a 
UAS MAY generate a 180 for the Reinvite.
 
Shekar

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of [email-masked]
Sent: Tuesday, April 19, 2005 9:26 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Sip] UAC behaviour

Hi, 

I want to know what should be the behaviour of UAC after receiving 180 response when dialog is already in confirmed state. 
I think it should process it, is this behaviour mentioned anywhere in RFC? 

This scenario can occur in prepaid calling card application where user A first calls B, and after finsihing talking, he calls another user C on the same call. 
To connect user C, we can send Re-invite to user A agent resulting in call connected between A and C as per thirdparty call control. 

But before the call is answered by user C, if 180 Ringing is send to user agent A, it should play ringback as user need to hear the ringback to know the status of the second call. 

-Udit